## dfu-error dfu-error — Error defines for libdfu |

## Functions

GQuark | dfu_error_quark ()

## Types and Values

#define | DFU_ERROR
enum | DfuError

## Description

This documents the error domain and codes used by libdfu.

## Functions

### dfu_error_quark ()

    GQuark
    dfu_error_quark (void);

#### Returns

An error quark.

Since: 0.5.4

## Types and Values

### DFU_ERROR

    #define DFU_ERROR			dfu_error_quark()

### enum DfuError

The error code.

#### Members

DFU_ERROR_INTERNAL | Internal error |
DFU_ERROR_VERIFY_FAILED | Failed to verify write |
DFU_ERROR_INVALID_FILE | Invalid file format |
DFU_ERROR_INVALID_DEVICE | Invalid device type |
DFU_ERROR_NOT_FOUND | Resource not found |
DFU_ERROR_NOT_SUPPORTED | Action was not supported |
DFU_ERROR_PERMISSION_DENIED | Failed due to access permissions |